//  Created by iTech on 23.04.12.
//  Copyright (c) 2012 iTech Devs. All rights reserved.
//
//  Made by Gordeev Alexey aka Lex, 2012    //

/*
 Use this log instead the normal NSLog to get place from where this log was called (object + method).
 */

// EasyLog is log for you your info with format <Standart NSLog text>: <Object class> (<Object method>) => <log description>
#define EasyLog(s, ...) NSLog (@"%@ (%@) => %@", NSStringFromClass([self class]), NSStringFromSelector(_cmd), [NSString stringWithFormat:(s), ##__VA_ARGS__]);

// QuietLog is log your information without NSLog junk.
#define QuietLog(s, ...) \
printf("%s\n", [[NSString stringWithFormat:@"%@", [NSString stringWithFormat:(s), ##__VA_ARGS__]] UTF8String]);

// QuietEasyLog is log your information with format <Object class> (<Object method>) => <log description>
#define QuietEasyLog(s, ...) \
printf("%s\n", [[NSString stringWithFormat:@"%@ (%@) => %@", NSStringFromClass([self class]), NSStringFromSelector(_cmd), [NSString stringWithFormat:(s), ##__VA_ARGS__]] UTF8String]);
//#import <Foundation/Foundation.h>

