//
//  INKHelper.h
//  Net Kit Sample
//
//  Created by iTech on 23.04.12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

typedef enum  {
    INKURLRequestOperationBlockCauseUndefined,
    INKURLRequestOperationBlockCauseStartLoading,
    INKURLRequestOperationBlockCauseDataPartLoaded,
    INKURLRequestOperationBlockCauseDataPartUploaded,
    INKURLRequestOperationBlockCauseConnectionError,
    INKURLRequestOperationBlockCauseRecieveResponse,
    INKURLRequestOperationBlockCauseFinishLoading
} INKURLRequestOperationBlockCause;

typedef enum  {
    // Idempotent
    INKURLRequestMethodTypeGET,
    INKURLRequestMethodTypeHEAD, 
    INKURLRequestMethodTypePUT,
    INKURLRequestMethodTypeDELETE,
    
    // Other
    INKURLRequestMethodTypePOST,
    INKURLRequestMethodTypeTRACE
} INKURLRequestMethodType;

typedef void(^INKURLRequestOperationBlock)(BOOL finished, INKURLRequestOperationBlockCause cause);
typedef void(^INKImageLoaderOperationBlock)(BOOL finished, NSData *data, NSString *key, float progress, NSError *error);




/*
extern NSString * const INKHTTPHeaderFieldKey;


NSString * const INKHTTPHeaderFieldKey @"111";
*/
