//
//  INKURLConnection.m
//  Net Kit Sample
//
//  Created by iTech on 23.04.12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "INKURLConnection.h"

#import "INKURLRequest.h"

@implementation INKURLConnection
@synthesize sendingRequest = _sendingRequest;

- (void)dealloc {
    [_sendingRequest release];
    [super dealloc];
}

- (id)initWithRequest:(NSURLRequest *)request delegate:(id)delegate startImmediately:(BOOL)startImmediately {
    INKURLRequest *preparedRequest = nil;
    if ([request isKindOfClass:[INKURLRequest class]]) {
        preparedRequest = (INKURLRequest*)request;
    }
    else {
        preparedRequest = [INKURLRequest inkRequestCopy:request];
    }
    self = [super initWithRequest:preparedRequest delegate:delegate startImmediately:startImmediately];
    if (self) {
        _sendingRequest = preparedRequest;
    }
    return self;
}

@end
